Subject: bug#34781: 27.0.50; integer in pcase sometimes compared by eq

From: Mattias Engdegård <[email-masked]>
Date: Thu, 28 Mar 2019 23:20:43 +0100

28 mars 2019 kl. 23.11 skrev Stefan Monnier <[email-masked]>:

> Actually, the hunk below should have been installed at the same time
> I replaced `eq` with `eql` when testing against an integer.  It was
> a mere oversight.

And all this work just because I didn't know we had memql. Serves me right.

Thank you Stefan, I'll do the obvious (unless you beat me to it).

I can still think of cases when portable-fixnum-p would be useful. I can clean up the patch (according to Paul's comments), or just sit on it.